Apple Releases iOS 14.7.1 But Now You Should Update

Apple Releases iOS 14.7.1

A week after iOS 14.7, the iPhone manufacturer has already pushed an update for the update. The list of security holes it closes is short but essential.

According to Apple, Patrick Beuth had stated that security researchers agree that iPhones are “the most secure devices on the market” but should by no means be considered unhackable. Apple had proven this itself with the “information on the security content of iOS 14.7 and iPadOS 14.7”.

Just last week, Apple released version 14.7 of iOS. The document lists how many security problems the update fixes. According to Apple, 17 of the mentioned vulnerabilities enabled attackers to execute malicious code on their victim’s iPhone. iPhone and iPad users who want to protect their data from attacks and manipulation in the best possible way should install this update immediately.

You should also install the update to iOS 14.7.1 that Apple surprisingly released on Monday evening. In the general description of the update, Apple only explains that the new version would fix a problem “where iPhone models with Touch ID cannot unlock a paired Apple Watch using the ‘Unlock with iPhone’ function.” But that alone would hardly have enough to push the next version so shortly after iOS 14.7.

Not Only iPhones Are Affected

And so it says in the accompanying text that the update contains “important security updates” and is “recommended to all users.” What this is all about is explained on another Apple site. According to this, an error in the memory management of the software-enabled malicious software, ultimately possibly viruses, Trojans or ransomware, to be smuggled onto Apple devices.

What makes Apple’s note particularly noteworthy is the phrase, “Apple is aware of a report that this problem may have been actively exploited.” The anonymous security expert who pointed out the vulnerability to the company also provided evidence that attackers are already using it to smuggle malware into Apple devices.

In addition to iPhones, iPads and Mac computers are also affected by the vulnerability, which is why Apple has released updates to iPadOS 14.7.1 and macOS Big Sur 11.5.1 in addition to the update to iOS 14.7.1.

As I said, if you care about your data, install the relevant updates today.

Also Read : Apple Operating System IOS 14.6- IPhone Users Complain Of Battery Problems

Tech Gloss is a site dedicated to publishing content on technology, business news, Gadget reviews, Marketing events, and the apps we use in our daily life. It's a great website that publishes genuine content with great passion and tenacity.

Leave a Reply

Your email address will not be published. Required fields are marked *

Back To Top